import {scaleOrdinal} from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['red', 'yellow']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['50', '30']);

const xPosition = (d, i) => i * 120 + 60;

export const fruitBowl = (selection, props) => {
  const {fruits, height} = props;
  
  const bowl = selection.selectAll('rect')
  	.data([null])
  	.enter().append('rect')
  		.attr('y', 150)
  		.attr('width', 920)
  		.attr('height', 200)
  		.attr('rx', 200 / 2);
  
  const groups = selection.selectAll('g')
  												.data(fruits, d => d.id);
	const groupsEnter = groups.enter().append('g');
  
  groupsEnter
  	.merge(groups)
  		.attr('transform', (d, i) =>
            'translate('+(i*120+60)+','+(height/2)+')'
  		);
  groups.exit().remove();
  
  const circles = groups.select('circle');
	groupsEnter
    .append('circle')
  	.merge(circles)
			.attr('fill', d => colorScale(d.type))
  		.attr('r', d => radiusScale(d.type));
  
  const text = groups.select('text');
	groupsEnter
    .append('text')
  	.merge(text)
			.text(d => d.type)
  		.attr('y', 120);
}